thread.h File Reference
SPA » Support » Thread

`spa/support/thread.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_thread_utils
struct | spa_thread_utils_methods
| thread utils More...

## Macros

#define | SPA_TYPE_INFO_Thread SPA_TYPE_INFO_POINTER_BASE "Thread"
| a thread object. More...
#define | SPA_TYPE_INTERFACE_ThreadUtils SPA_TYPE_INFO_INTERFACE_BASE "ThreadUtils"
#define | SPA_VERSION_THREAD_UTILS 0
#define | SPA_VERSION_THREAD_UTILS_METHODS 0

## Functions

static struct spa_thread * | spa_thread_utils_create (struct spa_thread_utils *o, const struct spa_dict *props, void *(*start_routine)(void *), void *arg)
| create a new thread that runs start with arg More...
static int | spa_thread_utils_join (struct spa_thread_utils *o, struct spa_thread *thread, void **retval)
| stop and join a thread More...
static int | spa_thread_utils_get_rt_range (struct spa_thread_utils *o, const struct spa_dict *props, int *min, int *max)
| get realtime priority range for threads created with props More...
static int | spa_thread_utils_acquire_rt (struct spa_thread_utils *o, struct spa_thread *thread, int priority)
| acquire realtime priority, a priority of -1 refers to the priority configured in the realtime module More...
static int | spa_thread_utils_drop_rt (struct spa_thread_utils *o, struct spa_thread *thread)
| drop realtime priority More...

## Detailed Description

`spa/support/thread.h`